# openSUSE Factory Ring 0 in git

This project links all ring0 packages from gitea as submodules

How to use locally:

    zypper in git-lfs git-core build
    git clone gitea@gitea.opensuse.org:lnussel/ring0_submodules.git
    cd ring0_submodules
    git submodule init
    git submodule update
    # fetch config from Factory
    ./getconfig
    # make sure to use some parallel jobs
    pbuild --buildjobs=XXX --jobs=YYY --root=/space --buildtrigger=local --vm-memory=8192 --vm-disk-size=32768
    # disable remote repo
    ./removerepo
    # rebuild the whole thing only with local packages
    pbuild --buildjobs=XXX --jobs=YYY --root=/space --buildtrigger=local --rebuild=all --vm-memory=8192 --vm-disk-size=32768


## how to add local changes to packages

to apply local changes to specific packages

- fork the package on gitea
- git submodule set-url foo ../foo.git
- cd foo; git checkout -b mine
- fix fix fix
- git push --set-upstream origin mine
